using PTMedicalInsurance.FormSetter;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PTMedicalInsurance.Forms.Setters.ElectronicSettlementCertificates
{
    public class GridViewSetter : GridViewSetterBase
    {
        public void setDgvEcSettlCertList(DataGridView dgv)
        {
            dgv.AutoGenerateColumns = false;
            dgv.Columns.Clear();
            AddDGVColumn(dgv, "姓名", "Name", 80);
            AddDGVColumn(dgv, "发票号码", "InvNo", 250);
            AddDGVColumn(dgv, "打印日期", "PrintDate", 100);
            AddDGVColumn(dgv, "打印时间", "PrintTime", 80);
            AddDGVColumn(dgv, "总金额", "PatAmount");
            AddDGVColumn(dgv, "就诊类型", "AdmDesc");
            AddDGVColumn(dgv, "患者ID", "PatDr");
            AddDGVColumn(dgv, "上传批次号", "UpldBchno", 200);
            AddDGVColumn(dgv, "上传成功标志", "UploadFlag");
            AddDGVColumn(dgv, "上传时间", "UpdateDateTime", 300);
            //AddDGVColumn(dgv, "险种类型编码", "insutypeNo", 150);
            dgv.ColumnHeadersDefaultCellStyle.Font = new Font("宋体", 9, FontStyle.Bold);
            dgv.ColumnHeadersHeight = 30;
        }

    }
}
